XTMISC_EXT_CALL(3)

EXPERIMENTAL_FUNC
xtmisc_ext_call - Call an extension function.

SYNOPSIS
#include <karma_xtmisc.h>

void xtmisc_ext_call

(Widget w, CONST char *function, unsigned int max_func, unsigned int *num_ok, flag allow_consumption, void *arg1, void *arg2, void *arg3)

DESCRIPTION
Call an extension function.

w   The widget to take the class name from.

function
    The function to call.

max_func
    The maximum number of functions to call. If this is 0 there is no limit.

num_ok
    The number of functions which returned TRUE is written here. This may be NULL.

allow_consumption
    If TRUE, the first function that returns TRUE will consume the event, preventing further functions from being called.

arg1
    An optional argument.

arg2
    An optional argument.

arg3
    An optional argument.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/